function _Entry(archived)
    local entry = {}
    for archivedFieldName, archivedValue in pairs(archived) do
        local fieldName = unarchive(archivedFieldName)
        if type(fieldName) == 'string' then
            entry[fieldName] = unarchive(archivedValue)
        end
    end
    return entry
end

return _Entry
